/**
XTC_FORM.h
	Conveniences for performing widget attachments when adding
	child widgets to a Form manager.
**/


/* These two routines are not designed to be called explicitly by appl.
   The macros shown later are the true API. */
void XTCattachWidget (Widget dependent, Widget anchor, char *att, char *wid);
void XTCalignWidget (Widget dependent, Widget anchor, char *att, char *wid);



/*** ATTACHMENT macros ***/

#define XTCattachLeft(D,A)   \
    XTCattachWidget (D,A,XmNleftAttachment,XmNleftWidget)

#define XTCattachRight(D,A)   \
    XTCattachWidget (D,A,XmNrightAttachment,XmNrightWidget)

#define XTCattachTop(D,A)   \
    XTCattachWidget (D,A,XmNtopAttachment,XmNtopWidget)

#define XTCattachBottom(D,A)   \
    XTCattachWidget (D,A,XmNbottomAttachment,XmNbottomWidget)



/*** ALIGNMENT macros 
        WARNING: XTC hardwires a 0 offset for any alignments.
                 This is usually, but not always, desired!
***/

#define XTCalignLeft(D,A)   \
    XTCalignWidget (D,A,XmNleftAttachment,XmNleftWidget)

#define XTCalignRight(D,A)   \
    XTCalignWidget (D,A,XmNrightAttachment,XmNrightWidget)

#define XTCalignTop(D,A)   \
    XTCalignWidget (D,A,XmNtopAttachment,XmNtopWidget)

#define XTCalignBottom(D,A)   \
    XTCalignWidget (D,A,XmNbottomAttachment,XmNbottomWidget)
